
Katello - Bug #5135

hammer product info returns 2 entries for sync plan id

04/09/2014 10:14 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Og Maciel   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The command hammer product info returns 2 entries for a sync plan id

[root@qeblade35 ~]# hammer -v product info --id 88

ID:           88

Name:         Forge

Label:        Forge

Description:

Sync Plan ID: 1

Sync State:   not_synced

Sync Plan ID: 1

GPG:

    GPG Key ID:

    GPG Key:

Organization: ACME_Corporation

Readonly:     false

Deletable:    true

Content:

 1) Repo Name: Puppet Labs Forge

    URL:       /custom/Forge/Puppet_Labs_Forge

 It should return only one entry.

Associated revisions

Revision f6117eb2 - 04/09/2014 10:15 PM - Og B. Maciel 

Fixes #5135 BZ 1085541; removed duplicate output.

This removed the duplicated entry for ``Sync Plan ID`` when using

``hammer product info`` for an existing Product. This fixes #5135 and BZ

1085541.

Revision 584543f1 - 04/10/2014 01:37 PM - Og Maciel 

Merge pull request #142 from omaciel/remove-double-sync-id

Fixes #5135 BZ 1085541; removed duplicate output.

History

#1 - 04/09/2014 10:14 PM - Og Maciel

This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1085541

#2 - 04/10/2014 01:42 PM - Og Maciel

- Status changed from New to Closed

Handled by https://github.com/Katello/hammer-cli-katello/commit/584543f10cdafa47e58b155347ddb90d90c17739
#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

